Memos
User Service

Get User Setting

GetUserSetting returns the user setting.

GET
/api/v1/users/{user}/settings/{setting}

Path Parameters

user*string

The user id.

setting*string

The setting id.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/users/string/settings/string"
{
  "name": "string",
  "generalSetting": {
    "locale": "string",
    "memoVisibility": "string",
    "theme": "string"
  },
  "webhooksSetting": {
    "webhooks": [
      {
        "name": "string",
        "url": "string",
        "displayName": "string",
        "createTime": "2019-08-24T14:15:22Z",
        "updateTime": "2019-08-24T14:15:22Z"
      }
    ]
  }
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings